<div id="admin-domain">
  <div class="d-sm-flex align-center justify-space-between">
    <div class="d-flex align-center">
      <p class="mb-0 h6 black--text">Domain Management</p>
    </div>
    <button
      class="bg-blue-500 text-white font-semibold text-sm rounded-md h-10 px-4 my-3 my-lg-0"
      @click="dialogCreateDomain = true"
    >
      <v-icon left dark> mdi-plus </v-icon>
      Add new Domain
    </button>
  </div>
  <v-skeleton-loader
    class="mx-auto mt-10"
    width="100%"
    type="card"
    v-if="loadingTable"
  >
  </v-skeleton-loader>
  <div v-else class="mt-2">
    <div
      class="flex flex-col items-center justify-center p-10"
      v-if="listDomain && !listDomain.length"
    >
      <img
        src="~/assets/images/domain/empty.png"
        alt=""
        width="auto"
        height="150"
      />
      <p class="mt-6 mb-0 !font-semibold">No Domain</p>
      <p class="!text-xs">
        Add new Domain for your sellers to host your products
      </p>
    </div>
    <v-card v-else class="ui-card pb-4">
      <v-simple-table class="scrollTable c-pointer" fixed-header>
        <template v-slot:default>
          <thead>
            <tr>
              <th class="table-head" style="width: 100px">
                <div class="d-flex align-center">
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    Status
                  </p>
                </div>
              </th>
              <th class="table-head text-left">
                <div style="width: 200px">
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    Domain
                  </p>
                </div>
              </th>
              <th class="table-head text-left">
                <div style="width: 200px">
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    Support Email
                  </p>
                </div>
              </th>
              <!-- <th class="table-head text-left">
                <div>
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    Verified Email
                  </p>
                </div>
              </th> -->
              <th class="table-head text-left">
                <div style="width: 400px">
                  <p class="mb-0 captionOverline text-content-main text-sm">
                    Action
                  </p>
                </div>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(domain, index) in listDomain" :key="'domain_1' + index">
              <td class="py-3" id="hideBottomInput">
                <v-tooltip
                  bottom
                  v-if="!domain.isPointDomain || !domain.isEnableSsl || !domain.isVerifiedMail"
                >
                  <template v-slot:activator="{ on, attrs }">
                    <div v-bind="attrs" v-on="on">
                      <v-switch dense inset class="mt-0" disabled> </v-switch>
                    </div>
                  </template>
                  <span
                    >Please verify domain, enable ssl, verify email to change
                    status</span
                  >
                </v-tooltip>
                <v-switch
                  dense
                  inset
                  v-model="domain.enabled"
                  @change="onChangeStatus(domain)"
                  class="mt-0"
                  v-else
                >
                </v-switch>
              </td>
              <td>
                <div class="flex items-center">
                  <p class="mb-0 text-sm text-neutral-900 font-semibold">
                    {{domain.domain}}
                  </p>
                  <div
                    class="ml-2 w-content px-2 py-1 rounded-xl"
                    :class="domain.isPointDomain && domain.isEnableSsl ? 'bg-green-100' : 'bg-red-100'"
                  >
                    <div
                      class="flex items-center"
                      v-if="domain.isPointDomain && domain.isEnableSsl"
                    >
                      <v-icon color="#22C55E" size="16"> mdi-check </v-icon>
                      <p class="mb-0 ml-1 text-green-500">Active</p>
                    </div>
                    <p class="mb-0 text-red-500" v-else>Not Active</p>
                  </div>
                </div>
              </td>
              <td class="py-3">
                <div v-if="domain.supportEmail" class="flex items-center">
                  <p class="mb-0 text-sm text-neutral-900">
                    {{domain.supportEmail}}
                  </p>
                  <div
                    class="ml-2 w-content px-2 py-1 rounded-xl"
                    :class="domain.isVerifiedMail ? 'bg-green-100' : 'bg-red-100'"
                  >
                    <div class="flex items-center" v-if="domain.isVerifiedMail">
                      <v-icon color="#22C55E" size="16"> mdi-check </v-icon>
                      <p class="mb-0 ml-1 text-green-500">Active</p>
                    </div>
                    <p class="mb-0 text-red-500" v-else>Not Active</p>
                  </div>
                </div>
                <v-btn
                  v-else
                  text
                  color="#3B82F6"
                  @click="openDialog(domain, 'add-support-email')"
                >
                  <p class="mb-0 text-blue-500 text-sm capitalize">
                    Add Support Email
                  </p>
                </v-btn>
              </td>
              <!-- <td class="py-3">
                <v-switch dense inset v-model="domain.isVerifiedMail" @change="onVerifyEmail(domain)"></v-switch>
              </td> -->
              <td class="py-3 flex-1">
                <div class="flex items-center justify-between">
                  <div class="d-flex items-center">
                    <!-- <v-btn color="#3B82F6" text @click="openDialog(domain, 'edit-domain')">
                      <p class="mb-0 text-sm text-blue-500 leading-7 capitalize">
                        Edit Domain
                      </p>
                    </v-btn> -->
                    <v-btn
                      color="#3B82F6"
                      text
                      @click="openDialog(domain, 'enable-ssl')"
                      v-if="!domain.isEnableSsl && domain.isPointDomain"
                    >
                      <p
                        class="mb-0 text-sm text-blue-500 leading-7 capitalize"
                      >
                        Enable SSL
                      </p>
                    </v-btn>
                    <v-btn
                      color="#3B82F6"
                      text
                      @click="openDialog(domain, 'active-domain')"
                      v-if="!domain.isEnableSsl && !domain.isPointDomain"
                    >
                      <p class="mb-0 text-sm text-red-500 leading-7 capitalize">
                        Verify Domain
                      </p>
                    </v-btn>
                    <v-btn
                      color="#3B82F6"
                      text
                      @click="openDialog(domain, 'verify-email')"
                      v-if="!domain.isVerifiedMail"
                    >
                      <p class="mb-0 text-sm text-red-500 leading-7 capitalize">
                        Verify Email
                      </p>
                    </v-btn>
                  </div>
                  <v-btn
                    text
                    color="#EF4444"
                    @click="openDialog(domain, 'delete-domain')"
                    v-if="!domain.isSold"
                  >
                    <p class="mb-0 text-sm text-red-500 leading-7 capitalize">
                      Remove
                    </p>
                  </v-btn>
                </div>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>

      <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center">
        <v-pagination
          v-model="config.page"
          :length="totalPage"
          :total-visible="5"
          class="pagination"
        >
        </v-pagination>
        <div
          id="hideBottomInput"
          class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0"
        >
          <v-text-field
            dense
            outlined
            v-model.number="page"
            placeholder="Go to page"
          >
          </v-text-field>
          <div class="button-inside-input">
            <v-btn
              height="36px"
              color="#076CE3"
              class="px-0 button-inside-input__button elevation-0"
              @click="onRedirectPage()"
            >
              <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
            </v-btn>
          </div>
        </div>
      </div>
    </v-card>
  </div>

  <div class="dialog">
    <v-row justify="center">
      <v-dialog v-model="dialogCreateDomain" max-width="640">
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Add new Domain</p>
            <v-btn
              color="#949494"
              @click="dialogCreateDomain = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4 d-flex items-center gap-6 flex-col">
            <div
              class="bg-blue-100 p-4 rounded text-neutral-900 d-flex items-center gap-4"
            >
              <v-icon color="#2D3234" size="24"> mdi-information </v-icon>
              <p class="mb-0 text-xs">
                Adding new Domain so that Seller can use that domain to host
                product. For example: Seller can host a product on website named
                product.domain.com
              </p>
            </div>
            <div id="hideBottomInput" class="d-flex items-center gap-4 w-full">
              <label for="domain-name">Domain name</label>
              <v-text-field
                dense
                outlined
                v-model="domainName"
                placeholder="Enter Domain"
                class="flex-1"
                id="domain-name"
                @keyup.enter="onCreateDomain()"
              >
              </v-text-field>
            </div>
            <!-- <div id="hideBottomInput" class="d-flex items-center gap-4 w-full">
              <label for="domain-name">Email support</label>
              <v-text-field dense outlined v-model="supportEmail" placeholder="Enter Email Support" class="flex-1"
                id="domain-name" @keyup.enter="onCreateDomain()">
              </v-text-field>
            </div> -->
          </div>
          <v-divider class="my-6"></v-divider>
          <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
            <v-btn
              outlined
              text
              @click="dialogCreateDomain = false"
              class="!capitalize elevation-0"
              :disabled="loading"
            >
              Cancel
            </v-btn>
            <v-btn
              color="#076CE3"
              class="!capitalize elevation-0"
              @click="onCreateDomain()"
              :disabled="loading"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else class="text-white"> Connect </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>

    <v-row justify="center">
      <v-dialog v-model="dialogEditDomain" max-width="640">
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Edit domain</p>
            <v-btn
              color="#949494"
              @click="dialogEditDomain = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4 d-flex items-center gap-6 flex-col">
            <div id="hideBottomInput" class="d-flex items-center gap-4 w-full">
              <label for="domain" style="width: 20%">Domain:</label>
              <div style="width: 80%">
                <v-text-field
                  dense
                  outlined
                  v-model="domain.domain"
                  @keyup.enter="onUpdateDomain()"
                  placeholder="Enter Support email"
                  class="flex-1"
                  id="domain"
                >
                </v-text-field>
              </div>
            </div>
            <!-- <div id="hideBottomInput" class="d-flex items-center gap-4 w-full">
              <label for="support-email" style="width: 20%">Support email:</label>
              <v-text-field dense outlined v-model="domain.supportEmail" @keyup.enter="onUpdateDomain()"
                placeholder="Enter Support email" class="flex-1" id="support-email" style="width: 80%">
              </v-text-field>
            </div> -->
          </div>
          <v-divider class="my-6"></v-divider>
          <div
            class="pb-8 px-4 d-flex align-center justify-end gap-4"
            :disabled="loading"
          >
            <v-btn
              outlined
              text
              @click="dialogEditDomain = false"
              class="!capitalize elevation-0"
            >
              Cancel
            </v-btn>
            <v-btn
              color="#076CE3"
              class="!capitalize elevation-0"
              :disabled="loading"
              @click="onUpdateDomain()"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else class="text-white"> Update </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>

    <v-row justify="center">
      <v-dialog v-model="dialogCreateSupportEmail" max-width="640">
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Add Support Email</p>
            <v-btn
              color="#949494"
              @click="dialogCreateSupportEmail = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4 d-flex items-center gap-6 flex-col">
            <div
              class="bg-blue-100 p-4 rounded text-neutral-900 d-flex items-center gap-4"
            >
              <v-icon color="#2D3234" size="24"> mdi-information </v-icon>
              <p class="mb-0 text-xs">
                Adding support email so that Sellers can use email to send
                update about sale process. For example: support@domain.com
              </p>
            </div>
            <div id="hideBottomInput" class="d-flex items-center gap-4 w-full">
              <label for="support-email">Support email</label>
              <v-text-field
                dense
                outlined
                v-model="supportEmail"
                placeholder="Enter Support email"
                class="flex-1"
                @keyup.enter="onAddSupportEmail()"
                id="support-email"
              >
              </v-text-field>
            </div>
          </div>
          <v-divider class="my-6"></v-divider>
          <div
            class="pb-8 px-4 d-flex align-center justify-end gap-4"
            :disabled="loading"
          >
            <v-btn
              outlined
              text
              @click="dialogCreateSupportEmail = false"
              class="!capitalize elevation-0"
            >
              Cancel
            </v-btn>
            <v-btn
              color="#076CE3"
              class="!capitalize elevation-0"
              :disabled="loading"
              @click="onAddSupportEmail()"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else class="text-white"> Add Email </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>

    <v-row justify="center">
      <v-dialog v-model="dialogEditEmail" max-width="640">
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Edit Support Email</p>
            <v-btn
              color="#949494"
              @click="dialogEditEmail = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4 d-flex items-center gap-6 flex-col">
            <div
              class="bg-blue-100 p-4 rounded text-neutral-900 d-flex items-center gap-4"
            >
              <v-icon color="#2D3234" size="24"> mdi-information </v-icon>
              <p class="mb-0 text-xs">
                Editing support email so that Sellers can use email to send
                update about sale process. For example: support@domain.com
              </p>
            </div>
            <div id="hideBottomInput" class="d-flex items-center gap-4 w-full">
              <label for="support-email">Support email</label>
              <v-text-field
                dense
                outlined
                v-model="domain.supportEmail"
                placeholder="Enter Support email"
                class="flex-1"
                @keyup.enter="onAddSupportEmail()"
                id="support-email"
              >
              </v-text-field>
            </div>
          </div>
          <v-divider class="my-6"></v-divider>
          <div
            class="pb-8 px-4 d-flex align-center justify-end gap-4"
            :disabled="loading"
          >
            <v-btn
              outlined
              text
              @click="dialogEditEmail = false"
              class="!capitalize elevation-0"
            >
              Cancel
            </v-btn>
            <v-btn
              color="#076CE3"
              class="!capitalize elevation-0"
              :disabled="loading"
              @click="onAddSupportEmail()"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else class="text-white"> Edit Email </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>

    <v-row justify="center">
      <v-dialog
        v-model="dialogVerifyEmail"
        max-width="980"
        :persistent="loading"
      >
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Verify Email</p>
            <v-btn
              color="#949494"
              @click="dialogVerifyEmail = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4">
            <p class="mb-0 !text-sm">
              Make sure you have enter correct information to Verify
              “support@domain.com” as your domain support email. Proceed to
              verify?
            </p>
          </div>
          <!-- <div id="hideBottomInput" class="d-flex items-center gap-4 w-full px-4 mt-4">
            <label for="token">Token</label>
            <v-text-field dense outlined v-model="token" placeholder="Enter token" class="flex-1"
              @keyup.enter="onVerifyEmail()" id="token">
            </v-text-field>
          </div> -->
          <div class="mt-6 mx-4">
            <v-simple-table
              class="scrollTable c-pointer"
              fixed-header
              v-if="dataVerify && dataVerify.mail_cname"
            >
              <template v-slot:default>
                <thead>
                  <tr>
                    <th class="table-head">
                      <div class="d-flex align-center">
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Status
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Type
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Host
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Value
                        </p>
                      </div>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td class="py-3">
                      <p
                        class="mb-0 text-sm text-red-500"
                        v-if="!dataVerify.mail_cname.valid"
                      >
                        Failed
                      </p>
                      <p
                        class="mb-0 text-sm text-green-500"
                        v-if="dataVerify.mail_cname.valid"
                      >
                        Success
                      </p>
                    </td>
                    <td class="py-3">
                      <p class="mb-0 text-sm text-neutral-900">
                        {{dataVerify.mail_cname.type}}
                      </p>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900 font-semibold"
                          style="width: 205px"
                        >
                          {{dataVerify.mail_cname.host}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(dataVerify.mail_cname.host)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900"
                          style="width: 300px"
                        >
                          {{dataVerify.mail_cname.data}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(dataVerify.mail_cname.data)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="py-3">
                      <p
                        class="mb-0 text-sm text-red-500"
                        v-if="!dataVerify.dkim1.valid"
                      >
                        Failed
                      </p>
                      <p
                        class="mb-0 text-sm text-green-500"
                        v-if="dataVerify.dkim1.valid"
                      >
                        Success
                      </p>
                    </td>
                    <td class="py-3">
                      <p class="mb-0 text-sm text-neutral-900">
                        {{dataVerify.dkim1.type}}
                      </p>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900 font-semibold"
                          style="width: 205px"
                        >
                          {{dataVerify.dkim1.host}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(dataVerify.dkim1.host)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900"
                          style="width: 300px"
                        >
                          {{dataVerify.dkim1.data}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(dataVerify.dkim1.data)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                  </tr>
                  <tr>
                    <td class="py-3">
                      <p
                        class="mb-0 text-sm text-red-500"
                        v-if="!dataVerify.dkim2.valid"
                      >
                        Failed
                      </p>
                      <p
                        class="mb-0 text-sm text-green-500"
                        v-if="dataVerify.dkim2.valid"
                      >
                        Success
                      </p>
                    </td>
                    <td class="py-3">
                      <p class="mb-0 text-sm text-neutral-900">
                        {{dataVerify.dkim2.type}}
                      </p>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900 font-semibold"
                          style="width: 205px"
                        >
                          {{dataVerify.dkim2.host}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(dataVerify.dkim2.host)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900"
                          style="width: 300px"
                        >
                          {{dataVerify.dkim2.data}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(dataVerify.dkim2.data)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
          </div>
          <v-divider class="my-6"></v-divider>
          <div
            class="pb-8 px-4 d-flex align-center justify-space-between gap-4"
          >
            <div>
              <v-btn
                outlined
                text
                @click="downloadFile()"
                class="!capitalize elevation-0"
                :disabled="loadingExport"
                v-if="dataVerify && dataVerify.mail_cname"
              >
                <v-progress-circular
                  v-if="loadingExport"
                  size="18"
                  indeterminate
                  color="#076CE3"
                >
                </v-progress-circular>
                <span v-else> Export As Text </span>
              </v-btn>
            </div>
            <div>
              <v-btn
                outlined
                text
                @click="dialogVerifyEmail = false"
                class="!capitalize elevation-0"
                :disabled="loading"
              >
                Cancel
              </v-btn>
              <v-btn
                color="#076CE3"
                class="!capitalize elevation-0"
                @click="onVerifyEmail()"
                :disabled="loading"
              >
                <v-progress-circular
                  v-if="loading"
                  size="18"
                  indeterminate
                  color="#076CE3"
                >
                </v-progress-circular>
                <span v-else class="text-white"> Active </span>
              </v-btn>
            </div>
          </div>
        </v-card>
      </v-dialog>
    </v-row>

    <v-row justify="center">
      <v-dialog
        v-model="dialogActiveDomain"
        max-width="980"
        :persistent="loading"
      >
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Active Domain</p>
            <v-btn
              color="#949494"
              @click="dialogActiveDomain = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4">
            <p class="mb-0 !text-sm">
              Make sure you have enter correct information to connect domain.
              Proceed to active?
            </p>
          </div>
          <div class="mt-6 mx-4">
            <v-skeleton-loader
              class="mx-auto mt-10"
              width="100%"
              type="card"
              v-if="loadingInfo"
            >
            </v-skeleton-loader>
            <v-simple-table
              class="scrollTable c-pointer"
              fixed-header
              v-if="domainInfo && domainInfo.length && !loadingInfo"
            >
              <template v-slot:default>
                <thead>
                  <tr>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Type
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Name
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Value
                        </p>
                      </div>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="(domain, i) in domainInfo" :key="'domain_2' + i">
                    <td class="py-3">
                      <p class="mb-0 text-sm text-neutral-900">
                        {{domain.type}}
                      </p>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900 font-semibold"
                          style="width: 205px"
                        >
                          {{domain.name}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(domain.name)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900"
                          style="width: 300px"
                        >
                          {{domain.content}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(domain.content)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
          </div>
          <v-divider class="my-6"></v-divider>
          <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
            <v-btn
              outlined
              text
              @click="dialogActiveDomain = false"
              class="!capitalize elevation-0"
              :disabled="loading"
            >
              Cancel
            </v-btn>
            <v-btn
              color="#076CE3"
              class="!capitalize elevation-0"
              @click="onActiveDomain()"
              :disabled="loading"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else class="text-white"> Active </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>

    <v-row justify="center">
      <v-dialog v-model="dialogEnableSsl" max-width="980" :persistent="loading">
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Enable SSL</p>
            <v-btn
              color="#949494"
              @click="dialogEnableSsl = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4">
            <p class="mb-0 !text-sm">
              Make sure you have enter correct information to enable SSL. Once
              you've copied these values, you can enable SSL on your website by
              updating your website's configuration file. Proceed to enable?
            </p>
          </div>
          <div v-if="isErrorSsl" class="mt-4 mx-4">
            <div class="flex items-center bg-[#FFD6D6] rounded p-4">
              <div>
                <v-icon color="#FF5252" size="32"> mdi-information </v-icon>
              </div>
              <div class="ml-4">
                <p class="mb-0 text-sm leading-5">
                  Oops! We couldn't configure your domain. Please ensure that
                  you've correctly entered your domain name and that your DNS
                  settings are properly configured.
                </p>
              </div>
            </div>
          </div>
          <div class="mt-4 mx-4">
            <v-skeleton-loader
              class="mx-auto mt-10"
              width="100%"
              type="card"
              v-if="loadingInfo"
            >
            </v-skeleton-loader>
            <v-simple-table
              class="scrollTable c-pointer"
              fixed-header
              v-if="sslInfo && sslInfo.length && !loadingInfo"
            >
              <template v-slot:default>
                <thead>
                  <tr>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Type
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Name
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p
                          class="mb-0 captionOverline text-content-main text-sm"
                        >
                          Value
                        </p>
                      </div>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="(ssl, i) in sslInfo" :key="'ssl' + i">
                    <td class="py-3">
                      <p class="mb-0 text-sm text-neutral-900 uppercase">
                        {{ssl.type}}
                      </p>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900 font-semibold"
                          style="width: 205px"
                        >
                          {{ssl.cname_validation_p1}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(ssl.cname_validation_p1)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                    <td class="py-3">
                      <div class="flex items-center">
                        <p
                          class="mb-0 text-sm text-neutral-900"
                          style="width: 300px"
                        >
                          {{ssl.cname_validation_p2}}
                        </p>
                        <v-btn
                          style="height: 24px; min-width: 24px !important"
                          color="#DBE0E5"
                          small
                          class="ml-2 px-0 elevation-0"
                          @click="onCopyText(ssl.cname_validation_p2)"
                        >
                          <v-icon color="#000000" size="14">
                            mdi-content-copy
                          </v-icon>
                        </v-btn>
                      </div>
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
          </div>
          <v-divider class="my-6"></v-divider>
          <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
            <v-btn
              outlined
              text
              @click="dialogEnableSsl = false"
              class="!capitalize elevation-0"
              :disabled="loading"
            >
              Cancel
            </v-btn>
            <v-btn
              color="#076CE3"
              class="!capitalize elevation-0"
              @click="onEnableSsl()"
              :disabled="loading"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else class="text-white"> Enable </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>

    <!-- <v-row justify="center">
      <v-dialog v-model="dialogResendEmail" max-width="360">
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">
              Resend Email
            </p>
            <v-btn color="#949494" @click="dialogResendEmail = false" icon small :disabled="loading">
              <v-icon color="#949494" size="20">
                mdi-close
              </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4">
            <p class="mb-0 !text-sm">Make sure you have enter correct information to Verify “support@domain.com” as your
              domain support email. Proceed to verify?</p>
          </div>
          <v-divider class="my-6"></v-divider>
          <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
            <v-btn outlined text @click="dialogResendEmail = false" class="!capitalize elevation-0" :disabled="loading">
              Cancel
            </v-btn>
            <v-btn color="#076CE3" class="!capitalize elevation-0" @click="onResendVerifyEmail()" :disabled="loading">
              <v-progress-circular v-if="loading" size="18" indeterminate color="#076CE3">
              </v-progress-circular>
              <span v-else class="text-white">
                Resend
              </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row> -->

    <v-row justify="center">
      <v-dialog v-model="dialogRemoveDomain" max-width="360">
        <v-card class="pa-0">
          <div class="d-flex align-center justify-space-between p-4">
            <p class="mb-0 fsize-18 lightContentPrimary">Remove Domain</p>
            <v-btn
              color="#949494"
              @click="dialogRemoveDomain = false"
              icon
              small
              :disabled="loading"
            >
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider class="mb-6"></v-divider>
          <div class="px-4">
            <p class="mb-0 !text-sm">
              Remove this domain will affect all Sellers who are using this. Are
              you sure to continue?
            </p>
          </div>
          <v-divider class="my-6"></v-divider>
          <div class="pb-8 px-4 d-flex align-center justify-end gap-4">
            <v-btn
              outlined
              text
              @click="dialogRemoveDomain = false"
              class="!capitalize elevation-0"
              :disabled="loading"
            >
              Cancel
            </v-btn>
            <v-btn
              color="#EF4444"
              class="!capitalize elevation-0"
              @click="onDeleteDomain()"
              :disabled="loading"
            >
              <v-progress-circular
                v-if="loading"
                size="18"
                indeterminate
                color="#076CE3"
              >
              </v-progress-circular>
              <span v-else class="text-white"> Remove </span>
            </v-btn>
          </div>
        </v-card>
      </v-dialog>
    </v-row>
  </div>
</div>
